Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Enum Class VAlign

java.lang.Object
java.lang.Enum<VAlign>
org.jfree.chart3d.table.VAlign

All Implemented Interfaces:
  `Serializable`, `Comparable<VAlign>`, `Constable`

public enum VAlign extends Enum<VAlign>
Vertical alignment options.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM`
Bottom.
`MIDDLE`
Middle.
`TOP`
Top.

## Method Summary

Modifier and Type
Method
Description
`static VAlign`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VAlign[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final VAlign TOP
Top.

### MIDDLE

public static final VAlign MIDDLE
Middle.

### BOTTOM

public static final VAlign BOTTOM
Bottom.

## Method Details

### values

public static VAlign[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VAlign valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null